diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
index 4b79af1c..f8c90867 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/LdapServer.class.php
@@ -1553,29 +1696,33 @@ class LdapServer {
         else {
           $group_id = $member_entry[$this->groupMembershipsAttrMatchingUserAttr][0];
         }
-        // 3. skip any groups that have already been tested
+        // 3. skip any groups that have already been tested.
         if (!in_array($group_id, $tested_group_ids)) {
           $tested_group_ids[] = $group_id;
           $member_ids = $member_entry[$this->groupMembershipsAttr];
           if (isset($member_ids['count'])) {
             unset($member_ids['count']);
           };
-          $ors = array();
+          $ors = [];
           foreach ($member_ids as $i => $member_id) {
-            $ors[] = $this->groupMembershipsAttr . '=' . ldap_pear_escape_filter_value($member_id); // @todo this would be replaced by query template
+            // @todo this would be replaced by query template
+            $ors[] = $this->groupMembershipsAttr . '=' . ldap_pear_escape_filter_value($member_id);
           }
 
           if (count($ors)) {
-            $query_for_child_members = '(|(' . join(")(", $ors) . '))';  // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
-            if (count($object_classes)) { // add or on object classe, otherwise get all object classes
-              $object_classes_ors = array('(objectClass=' . $this->groupObjectClass . ')');
+            // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
+            $query_for_child_members = '(|(' . join(")(", $ors) . '))';
+            // Add or on object classe, otherwise get all object classes.
+            if (count($object_classes)) {
+              $object_classes_ors = ['(objectClass=' . $this->groupObjectClass . ')'];
               foreach ($object_classes as $object_class) {
                 $object_classes_ors[] = '(objectClass=' . $object_class . ')';
               }
               $query_for_child_members = '&(|' . join($object_classes_ors) . ')(' . $query_for_child_members . ')';
             }
-            foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-              $child_member_entries = $this->search($base_dn, $query_for_child_members, array('objectclass', $this->groupMembershipsAttr, $this->groupMembershipsAttrMatchingUserAttr));
+            // Need to search on all basedns one at a time.
+            foreach ($this->basedn as $base_dn) {
+              $child_member_entries = $this->search($base_dn, $query_for_child_members, ['objectclass', $this->groupMembershipsAttr, $this->groupMembershipsAttrMatchingUserAttr]);
               if ($child_member_entries !== FALSE) {
                 $this->groupMembersResursive($child_member_entries, $all_member_dns, $tested_group_ids, $level + 1, $max_levels, $object_classes);
               }
@@ -1586,9 +1733,8 @@ class LdapServer {
     }
   }
 
-
   /**
-   *  get list of all groups that a user is a member of.
+   * Get list of all groups that a user is a member of.
    *
    *    If $nested = TRUE,
    *    list will include all parent group.  That is if user is a member of "programmer" group
@@ -1597,15 +1743,17 @@ class LdapServer {
    *
    *    If $nested = FALSE, list will only include groups user is in directly.
    *
-   *  @param mixed
-   *    - drupal user object (stdClass Object)
+   * @param mixed
+   *   - drupal user object (stdClass Object)
    *    - ldap entry of user (array) (with top level keys of 'dn', 'mail', 'sid' and 'attr' )
    *    - ldap dn of user (array)
    *    - drupal username of user (string)
-   *  @param enum $return = 'group_dns'
-   *  @param boolean $nested if groups should be recursed or not.
+   * @param mixed $return
+   *   = 'group_dns'.
+   * @param bool $nested
+   *   if groups should be recursed or not.
    *
-   *  @return array of groups dns in mixed case or FALSE on error
+   * @return array of groups dns in mixed case or FALSE on error
    */
   public function groupMembershipsFromUser($user, $return = 'group_dns', $nested = NULL) {
 
@@ -1618,14 +1766,15 @@ class LdapServer {
       $nested = $this->groupNested;
     }
 
-    if ($this->groupUserMembershipsConfigured) { // preferred method
+    // Preferred method.
+    if ($this->groupUserMembershipsConfigured) {
       $group_dns = $this->groupUserMembershipsFromUserAttr($user_ldap_entry, $nested);
     }
     elseif ($this->groupGroupEntryMembershipsConfigured) {
       $group_dns = $this->groupUserMembershipsFromEntry($user_ldap_entry, $nested);
     }
     else {
-      watchdog('ldap_servers', 'groupMembershipsFromUser: Group memberships for server have not been configured.', array(), WATCHDOG_WARNING);
+      watchdog('ldap_servers', 'groupMembershipsFromUser: Group memberships for server have not been configured.', [], WATCHDOG_WARNING);
       return FALSE;
     }
     if ($return == 'group_dns') {
@@ -1634,10 +1783,9 @@ class LdapServer {
 
   }
 
-
   /**
-   *  get list of all groups that a user is a member of by using memberOf attribute first,
-   *    then if nesting is true, using group entries to find parent groups
+   * Get list of all groups that a user is a member of by using memberOf attribute first,
+   *    then if nesting is true, using group entries to find parent groups.
    *
    *    If $nested = TRUE,
    *    list will include all parent group.  That is if user is a member of "programmer" group
@@ -1646,14 +1794,15 @@ class LdapServer {
    *
    *    If $nested = FALSE, list will only include groups user is in directly.
    *
-   *  @param mixed
-   *    - drupal user object (stdClass Object)
+   * @param mixed
+   *   - drupal user object (stdClass Object)
    *    - ldap entry of user (array) (with top level keys of 'dn', 'mail', 'sid' and 'attr' )
    *    - ldap dn of user (array)
    *    - drupal username of user (string)
-   *  @param boolean $nested if groups should be recursed or not.
+   * @param bool $nested
+   *   if groups should be recursed or not.
    *
-   *  @return array of group dns
+   * @return array of group dns
    */
   public function groupUserMembershipsFromUserAttr($user, $nested = NULL) {
 
@@ -1665,24 +1814,26 @@ class LdapServer {
     }
 
     $not_user_ldap_entry = empty($user['attr'][$this->groupUserMembershipsAttr]);
-    if ($not_user_ldap_entry) { // if drupal user passed in, try to get user_ldap_entry
+    // If drupal user passed in, try to get user_ldap_entry.
+    if ($not_user_ldap_entry) {
       $user = $this->userUserToExistingLdapEntry($user);
       $not_user_ldap_entry = empty($user['attr'][$this->groupUserMembershipsAttr]);
       if ($not_user_ldap_entry) {
-        return FALSE; // user's membership attribute is not present.  either misconfigured or query failed
+        // user's membership attribute is not present.  either misconfigured or query failed.
+        return FALSE;
       }
     }
-    // if not exited yet, $user must be user_ldap_entry.
+    // If not exited yet, $user must be user_ldap_entry.
     $user_ldap_entry = $user;
-    $all_group_dns = array();
-    $tested_group_ids = array();
+    $all_group_dns = [];
+    $tested_group_ids = [];
     $level = 0;
 
     $member_group_dns = $user_ldap_entry['attr'][$this->groupUserMembershipsAttr];
     if (isset($member_group_dns['count'])) {
       unset($member_group_dns['count']);
     }
-    $ors = array();
+    $ors = [];
     foreach ($member_group_dns as $i => $member_group_dn) {
       $all_group_dns[] = $member_group_dn;
       if ($nested) {
@@ -1698,13 +1849,17 @@ class LdapServer {
 
     if ($nested && count($ors)) {
       $count = count($ors);
-      for ($i = 0; $i < $count; $i = $i + LDAP_SERVER_LDAP_QUERY_CHUNK) { // only 50 or so per query
+      // Only 50 or so per query.
+      for ($i = 0; $i < $count; $i = $i + LDAP_SERVER_LDAP_QUERY_CHUNK) {
         $current_ors = array_slice($ors, $i, LDAP_SERVER_LDAP_QUERY_CHUNK);
-        $or = '(|(' . join(")(", $current_ors) . '))';  // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
+        // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
+        $or = '(|(' . join(")(", $current_ors) . '))';
         $query_for_parent_groups = '(&(objectClass=' . $this->groupObjectClass . ')' . $or . ')';
 
-        foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-          $group_entries = $this->search($base_dn, $query_for_parent_groups);  // no attributes, just dns needed
+        // Need to search on all basedns one at a time.
+        foreach ($this->basedn as $base_dn) {
+          // No attributes, just dns needed.
+          $group_entries = $this->search($base_dn, $query_for_parent_groups);
           if ($group_entries !== FALSE  && $level < LDAP_SERVER_LDAP_QUERY_RECURSION_LIMIT) {
             $this->groupMembershipsFromEntryRecursive($group_entries, $all_group_dns, $tested_group_ids, $level + 1, LDAP_SERVER_LDAP_QUERY_RECURSION_LIMIT);
           }
@@ -1716,7 +1871,7 @@ class LdapServer {
   }
 
   /**
-   *  get list of all groups that a user is a member of by querying groups
+   * Get list of all groups that a user is a member of by querying groups.
    *
    *    If $nested = TRUE,
    *    list will include all parent group.  That is if user is a member of "programmer" group
@@ -1725,16 +1880,17 @@ class LdapServer {
    *
    *    If $nested = FALSE, list will only include groups user is in directly.
    *
-   *  @param mixed
-   *    - drupal user object (stdClass Object)
+   * @param mixed
+   *   - drupal user object (stdClass Object)
    *    - ldap entry of user (array) (with top level keys of 'dn', 'mail', 'sid' and 'attr' )
    *    - ldap dn of user (array)
    *    - drupal username of user (string)
-   *  @param boolean $nested if groups should be recursed or not.
+   * @param bool $nested
+   *   if groups should be recursed or not.
    *
-   *  @return array of group dns MIXED CASE VALUES
+   * @return array of group dns MIXED CASE VALUES
    *
-   *  @see tests/DeriveFromEntry/ldap_servers.inc for fuller notes and test example
+   * @see tests/DeriveFromEntry/ldap_servers.inc for fuller notes and test example
    */
   public function groupUserMembershipsFromEntry($user, $nested = NULL) {
 
@@ -1747,8 +1903,10 @@ class LdapServer {
 
     $user_ldap_entry = $this->userUserToExistingLdapEntry($user);
 
-    $all_group_dns = array(); // MIXED CASE VALUES
-    $tested_group_ids = array(); // array of dns already tested to avoid excess queries MIXED CASE VALUES
+    // MIXED CASE VALUES.
+    $all_group_dns = [];
+    // Array of dns already tested to avoid excess queries MIXED CASE VALUES.
+    $tested_group_ids = [];
     $level = 0;
 
     if ($this->groupMembershipsAttrMatchingUserAttr == 'dn') {
@@ -1765,8 +1923,10 @@ class LdapServer {
       $group_query = '(&(objectClass=' . $this->groupObjectClass . ')(' . $this->groupMembershipsAttr . "=$member_value))";
     }
 
-    foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-      $group_entries = $this->search($base_dn, $group_query, array()); // only need dn, so empty array forces return of no attributes
+    // Need to search on all basedns one at a time.
+    foreach ($this->basedn as $base_dn) {
+      // Only need dn, so empty array forces return of no attributes.
+      $group_entries = $this->search($base_dn, $group_query, []);
       if ($group_entries !== FALSE) {
         $max_levels = ($nested) ? LDAP_SERVER_LDAP_QUERY_RECURSION_LIMIT : 0;
         $this->groupMembershipsFromEntryRecursive($group_entries, $all_group_dns, $tested_group_ids, $level, $max_levels);
@@ -1777,20 +1937,25 @@ class LdapServer {
   }
 
   /**
-   * recurse through all groups, adding parent groups to $all_group_dns array.
-   *
-   * @param array $current_group_entries of ldap group entries that are starting point.  should include at least 1 entry.
-   * @param array $all_group_dns as array of all groups user is a member of.  MIXED CASE VALUES
-   * @param array $tested_group_ids as array of tested group dn, cn, uid, etc.  MIXED CASE VALUES
+   * Recurse through all groups, adding parent groups to $all_group_dns array.
+   *
+   * @param array $current_group_entries
+   *   of ldap group entries that are starting point.  should include at least 1 entry.
+   * @param array $all_group_dns
+   *   as array of all groups user is a member of.  MIXED CASE VALUES.
+   * @param array $tested_group_ids
+   *   as array of tested group dn, cn, uid, etc.  MIXED CASE VALUES
    *   whether these value are dn, cn, uid, etc depends on what attribute members, uniquemember, memberUid contains
-   *   whatever attribute is in $this->$tested_group_ids to avoid redundant recursing
-   * @param int $level of recursion
-   * @param int $max_levels as max recursion allowed
+   *   whatever attribute is in $this->$tested_group_ids to avoid redundant recursing.
+   * @param int $level
+   *   of recursion.
+   * @param int $max_levels
+   *   as max recursion allowed
    *
-   * given set of groups entries ($current_group_entries such as it, hr, accounting),
-   * find parent groups (such as staff, people, users) and add them to list of group memberships ($all_group_dns)
+   *   given set of groups entries ($current_group_entries such as it, hr, accounting),
+   *   find parent groups (such as staff, people, users) and add them to list of group memberships ($all_group_dns)
    *
-   * (&(objectClass=[$this->groupObjectClass])(|([$this->groupMembershipsAttr]=groupid1)([$this->groupMembershipsAttr]=groupid2))
+   *   (&(objectClass=[$this->groupObjectClass])(|([$this->groupMembershipsAttr]=groupid1)([$this->groupMembershipsAttr]=groupid2))
    *
    * @return FALSE for error or misconfiguration, otherwise TRUE.  results are passed by reference.
    */
@@ -1803,54 +1968,60 @@ class LdapServer {
       unset($current_group_entries['count']);
     };
 
-    $ors = array();
+    $ors = [];
     foreach ($current_group_entries as $i => $group_entry) {
       if ($this->groupMembershipsAttrMatchingUserAttr == 'dn') {
         $member_id = $group_entry['dn'];
       }
-      else {// maybe cn, uid, etc is held
+      // Maybe cn, uid, etc is held.
+      else {
         $member_id = ldap_servers_get_first_rdn_value_from_dn($group_entry['dn'], $this->groupMembershipsAttrMatchingUserAttr);
-	if(!$member_id) {
-	  if ($this->detailed_watchdog_log) {
-	     watchdog('ldap_servers', 'group_entry: %ge', array('%ge' => pretty_print_ldap_entry($group_entry)));
-	  }
-	  // group not identified by simple checks yet!
-
-	  // examine the entry and see if it matches the configured groupObjectClass
-	  $goc = $group_entry['objectclass']; // TODO do we need to ensure such entry is there?
-	  if(is_array($goc)) {              // TODO is it always an array?
-	    foreach($goc as $g) {
-	      $g = drupal_strtolower($g);
-	      if($g == $this->groupObjectClass) {
-		// found a group, current user must be member in it - so:
-		if ($this->detailed_watchdog_log) {
-		  watchdog('ldap_servers', 'adding %mi', array('%mi' => $member_id));
-		}
-		$member_id = $group_entry['dn'];
-		break;
-	      }
-	    }
-	  }
-	}
+        if (!$member_id) {
+          if ($this->detailed_watchdog_log) {
+            watchdog('ldap_servers', 'group_entry: %ge', ['%ge' => pretty_print_ldap_entry($group_entry)]);
+          }
+          // Group not identified by simple checks yet!
+          // examine the entry and see if it matches the configured groupObjectClass
+          // TODO do we need to ensure such entry is there?
+          $goc = $group_entry['objectclass'];
+          // TODO is it always an array?
+          if (is_array($goc)) {
+            foreach ($goc as $g) {
+              $g = drupal_strtolower($g);
+              if ($g == $this->groupObjectClass) {
+                // Found a group, current user must be member in it - so:
+                if ($this->detailed_watchdog_log) {
+                  watchdog('ldap_servers', 'adding %mi', ['%mi' => $member_id]);
+                }
+                $member_id = $group_entry['dn'];
+                break;
+              }
+            }
+          }
+        }
       }
 
       if ($member_id && !in_array($member_id, $tested_group_ids)) {
         $tested_group_ids[] = $member_id;
         $all_group_dns[] = $group_entry['dn'];
-        // add $group_id (dn, cn, uid) to query
-        $ors[] = $this->groupMembershipsAttr . '=' .  ldap_pear_escape_filter_value($member_id);
+        // Add $group_id (dn, cn, uid) to query.
+        $ors[] = $this->groupMembershipsAttr . '=' . ldap_pear_escape_filter_value($member_id);
       }
     }
 
     if ($level < $max_levels && count($ors)) {
       $count = count($ors);
-      for ($i = 0; $i < $count; $i = $i + LDAP_SERVER_LDAP_QUERY_CHUNK) { // only 50 or so per query
+      // Only 50 or so per query.
+      for ($i = 0; $i < $count; $i = $i + LDAP_SERVER_LDAP_QUERY_CHUNK) {
         $current_ors = array_slice($ors, $i, LDAP_SERVER_LDAP_QUERY_CHUNK);
-        $or = '(|(' . join(")(", $current_ors) . '))';  // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
+        // e.g. (|(cn=group1)(cn=group2)) or   (|(dn=cn=group1,ou=blah...)(dn=cn=group2,ou=blah...))
+        $or = '(|(' . join(")(", $current_ors) . '))';
         $query_for_parent_groups = '(&(objectClass=' . $this->groupObjectClass . ')' . $or . ')';
 
-        foreach ($this->basedn as $base_dn) {  // need to search on all basedns one at a time
-          $group_entries = $this->search($base_dn, $query_for_parent_groups);  // no attributes, just dns needed
+        // Need to search on all basedns one at a time.
+        foreach ($this->basedn as $base_dn) {
+          // No attributes, just dns needed.
+          $group_entries = $this->search($base_dn, $query_for_parent_groups);
           if ($group_entries !== FALSE) {
             $this->groupMembershipsFromEntryRecursive($group_entries, $all_group_dns, $tested_group_ids, $level + 1, $max_levels);
           }
@@ -1861,17 +2032,16 @@ class LdapServer {
     return TRUE;
   }
 
-
   /**
-   * Get "groups" from derived from DN.  Has limited usefulness
+   * Get "groups" from derived from DN.  Has limited usefulness.
    *
-   *  @param mixed
-   *    - drupal user object (stdClass Object)
+   * @param mixed
+   *   - drupal user object (stdClass Object)
    *    - ldap entry of user (array) (with top level keys of 'dn', 'mail', 'sid' and 'attr' )
    *    - ldap dn of user (array)
    *    - drupal username of user (string)
    *
-   *  @return array of group strings
+   * @return array of group strings
    */
   public function groupUserMembershipsFromDn($user) {
 
@@ -1886,6 +2056,7 @@ class LdapServer {
     }
 
   }
+
   /**
    * Error methods and properties.
    */
@@ -1895,22 +2066,34 @@ class LdapServer {
   protected $_hasError = FALSE;
   protected $_errorName = NULL;
 
+  /**
+   *
+   */
   public function setError($_errorName, $_errorMsgText = NULL) {
     $this->_errorMsgText = $_errorMsgText;
     $this->_errorName = $_errorName;
     $this->_hasError = TRUE;
   }
 
+  /**
+   *
+   */
   public function clearError() {
     $this->_hasError = FALSE;
     $this->_errorMsg = NULL;
     $this->_errorName = NULL;
   }
 
+  /**
+   *
+   */
   public function hasError() {
     return ($this->_hasError || $this->ldapErrorNumber());
   }
 
+  /**
+   *
+   */
   public function errorMsg($type = NULL) {
     if ($type == 'ldap' && $this->connection) {
       return ldap_err2str(ldap_errno($this->connection));
@@ -1923,6 +2106,9 @@ class LdapServer {
     }
   }
 
+  /**
+   *
+   */
   public function errorName($type = NULL) {
     if ($type == 'ldap' && $this->connection) {
       return "LDAP Error: " . ldap_error($this->connection);
@@ -1935,6 +2121,9 @@ class LdapServer {
     }
   }
 
+  /**
+   *
+   */
   public function ldapErrorNumber() {
     if ($this->connection && ldap_errno($this->connection)) {
       return ldap_errno($this->connection);
@@ -1954,22 +2143,29 @@ class LdapServersRebindHandler {
   private $bind_dn = 'Anonymous';
   private $bind_passwd = '';
 
-  public function __construct($bind_user_dn, $bind_user_passwd){
+  /**
+   *
+   */
+  public function __construct($bind_user_dn, $bind_user_passwd) {
     $this->bind_dn = $bind_user_dn;
     $this->bind_passwd = $bind_user_passwd;
   }
 
-  public function rebind_callback($ldap, $referral){
-    // ldap options
+  /**
+   *
+   */
+  public function rebind_callback($ldap, $referral) {
+    // Ldap options.
     ldap_set_option($ldap, LDAP_OPT_PROTOCOL_VERSION, 3);
     ldap_set_option($ldap, LDAP_OPT_REFERRALS, 1);
-    ldap_set_rebind_proc($ldap, array($this, 'rebind_callback'));
+    ldap_set_rebind_proc($ldap, [$this, 'rebind_callback']);
 
-  // Bind to new host, assumes initial bind dn has access to the referred servers.
+    // Bind to new host, assumes initial bind dn has access to the referred servers.
     if (!ldap_bind($ldap, $this->bind_dn, $this->bind_passwd)) {
       echo "Could not bind to referral server: $referral";
       return 1;
     }
     return 0;
   }
+
 }
